package com.cusc.nirvana.user.rnr.enterprise.common;

import org.apache.commons.lang3.StringUtils;

/**
 * @className: FileTypeEnum
 * @description: TODO
 * @author: fxh
 * @date: 2022/7/21 9:28
 * @version: 1.0
 **/
public enum FileTypeEnum {
    SIMCARD(0, "SIM卡"),
    CARCARD(1,"车卡关系"),
    CARINFO(3, "车辆信息"),
    CARSTARTUP(4, "车卡启动"),
    CARCLOSE(5, "车卡禁用");

    private int code;
    private String value;

    FileTypeEnum(int code, String value) {
        this.code = code;
        this.value = value;
    }

    public static FileTypeEnum getEnumByCode(int code) {
        for (FileTypeEnum item : FileTypeEnum.values()) {
            if (item.getCode() == code) {
                return item;
            }
        }
        return null;
    }

    public static FileTypeEnum getEnumByCode(String codeStr) {
        if (StringUtils.isBlank(codeStr)) {
            return null;
        }
        for (FileTypeEnum item : FileTypeEnum.values()) {
            if (item.getCode() == Integer.parseInt(codeStr)) {
                return item;
            }
        }
        return null;
    }

    public int getCode() {
        return code;
    }

    public String getValue() {
        return value;
    }
}
