package com.cusc.nirvana.user.rnr.enterprise.common;

import lombok.AllArgsConstructor;
import lombok.Getter;


/**
 * @author stayAnd
 * @date 2022/6/20
 */
@AllArgsConstructor
public enum SysModuleEnum {

	/**
	 * 登录日志
	 */
	USER_SMS_LOGIN("登录日志","短信验证码登录","用户:%s通过手机短信验证码登录,来源:%s"),
	USER_PWD_LOGIN("登录日志","密码登录","用户:%s通过用户名密码登录,来源:%s"),
	USER_LOGOUT("登录日志","注销",""),


	/**
	 * 实名日志
	 */
	PERSON_WEB_RNR("实名日志","自然人实名(web)","发起自然人实名,姓名:%s,手机号:%s"),
	PERSON_H5_RNR("实名日志","自然人实名(H5)","发起自然人实名,姓名:%s,手机号:%s"),

	ENTERPRISE_WEB_RNR("实名日志","企业实名(web)","发起企业实名,企业名称:%s,责任人:%s,手机号:%s"),
	ENTERPRISE_H5_RNR("实名日志","企业实名(H5)","发起企业实名,企业名称:%s,责任人:%s,手机号:%s"),

	MANUFACTURER_WEB_RNR_FIRST("实名日志","车企实名(WEB)首次","发起车企实名,企业名称:%s,责任人:%s,手机号:%s"),
	MANUFACTURER_WEB_RNR_FOLLOW_UP("实名日志","车企实名(WEB)后续",""),

	ENTERPRISE_CHANGE_RNR("实名日志","责任人变更","发起责任人变更,企业名称:%s,原责任人:%s,新责任人:%s,手机号码:%s"),

	SURPLUS_CARD_BIND("实名日志","一车多卡绑定","发起一车多卡绑定,vin:%s"),

	CHANGE_BOX("实名日志","换件","发起换件,vin:%s"),

	ORIGINALOWNER_UNBIND("实名日志","原车主解绑","发起原车主解绑,vin:%s"),
	SECONDOWNER_UNBIND("实名日志","二手车主车主解绑","发起二手车主车主解绑,vin:%s,责任人:%s,手机号:%s"),
	MANUFACTURER_UBIND("实名日志","车企实名解绑",""),

	/**
	 * 管理日志
	 */
	ADD_ORGAN("管理日志","组织管理-新增","新增组织:%s,管理员姓名:%s,管理员账号:%s,手机号码:%s"),
	UPDATE_ORGAN("管理日志","组织管理-更新","更新组织,组织名称:%s,备注:%s"),
	ADD_PROTOCOL("管理日志","协议管理-新增",""),
	UPDATE_PROTOCOL("管理日志","协议管理-更新",""),
	SIM_VEHICLE("管理日志","车卡管理-导入车卡关系",""),
	ADD_ACCOUNT("管理日志","账户管理-新增","新增账户:%s,姓名:%s,手机号码:%s"),
	UPDATE_ACCOUNT("管理日志","账户管理-更新","修改账户:%s,姓名:%s,手机号码:%s"),
	CAR_INFO_IMPORT("管理日志","车辆信息导入",""),


	/**
	 * 其他日志
	 */
	CAR_PROGRESS("其他日志","单车认证进度查询",""),

	CHECK_PROGRESS("其他日志","车企审核进度查询",""),


	QUERY_CHECKSTATISTICS("其他日志","审核统计查询",""),

	;

	/**
	 * 系统模块描述
	 */
	@Getter
	private String sysModule;

	/**
	 * 业务类型
	 */
	@Getter
	private String sysAction;

	/**
	 * 操作内容 操作时间放在最后
	 */
	@Getter
	private String optContent;
}
