package com.cusc.nirvana.user.rnr.enterprise.config;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.exception.CuscUserException;
import com.cusc.nirvana.user.rnr.fp.common.ResponseCode;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.core.annotation.Order;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * Description: 异常处理
 * <br />
 * CreateDate 2021-11-10 10:00
 *
 * @author yuyi
 **/
@ControllerAdvice
@Order(0)
public class UserRnrEnterpriseExceptionHandler {

    private static final Logger LOGGER = LoggerFactory.getLogger(UserRnrEnterpriseExceptionHandler.class);

    @ExceptionHandler(CuscUserException.class)
    @ResponseBody
    @ResponseStatus(HttpStatus.OK)
    public Response<?> cuscUserHandler(CuscUserException e) {
        LOGGER.warn("cuscUserHandler Handler code: {}, msg: {}", e.getCode(), e.getMessage());
		return Response.createError(e.getMessage(), StringUtils.isBlank(e.getCode()) ? ResponseCode.SYSTEM_ERROR.getCode() : Integer.parseInt(e.getCode()));
    }
}
