package com.cusc.nirvana.user.rnr.enterprise.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * Description: 应用常量信息
 * <br />
 * CreateDate 2022-01-24 16:48:59
 *
 * @author yuyi
 **/
@AllArgsConstructor
@Getter
public enum EnterpriseLoginSourceEnum {

	/**
	 * WEB
	 */
	WEB("WEB","4"),

	/**
	 * H5
	 */
	H5("H5","7");

	/**
	 * 平台来源
	 */
	private String platformSource;

	/**
	 * appId
	 */
	private String appId;


	public static  EnterpriseLoginSourceEnum getByPlatform(String platformSource){
		return Arrays.stream(EnterpriseLoginSourceEnum.values())
				.filter(e->e.getPlatformSource().equals(platformSource)).findFirst()
				.orElse(EnterpriseLoginSourceEnum.WEB);
	}
}
