package com.cusc.nirvana.user.rnr.enterprise.constants;

/**
 * @className: FuelTypeEnum
 * @description: 燃料种类
 * @author: jk
 * @date: 2022/6/29 9:39
 * @version: 1.0
 **/
public enum FuelTypeEnum {

    GASOLINE("1", "汽油"),

    DIESEL_OIL("2", "柴油"),

    ELECTRIC("3", "电"),

    MIXED_OIL("4", "混合油"),

    NATURAL_GAS("5", "天然气"),

    LIQUEFIED_PETROLEUM_GAS("6", "液化石油气"),

    METHANOL("7", "甲醇"),

    ETHANOL("8", "乙醇"),

    SOLAR_ENERGY("9", "太阳能"),

    HYDROGEN("10", "氢"),

    HYBRID("11", "混合动力");

    private String code;
    private String name;

    FuelTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static FuelTypeEnum getEnumByCode(String code) {
        for (FuelTypeEnum e : FuelTypeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
