package com.cusc.nirvana.user.rnr.enterprise.constants;

/**
 * Description: 普通管理员类型
 * <br />
 * CreateDate 2022-05-19 19:43:58
 *
 * @author yuyi
 **/
public enum OrdinaryAdminEnum {

    CAR_FACTORY(0, "车厂"),
    /**
     * 经销商
     */
    DISTRIBUTOR(1, "经销商管理员"),
    /**
     * 组织
     */
    ORGAN(2, "组织管理员");

    private int code;
    private String name;

    OrdinaryAdminEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public static OrdinaryAdminEnum getEnumByCode(int code) {
        for (OrdinaryAdminEnum e : OrdinaryAdminEnum.values()) {
            if (e.getCode() == code) {
                return e;
            }
        }
        return null;
    }

    public int getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
