package com.cusc.nirvana.user.rnr.enterprise.constants;

/**
 * @className: PlaceOfOriginOfVehicleEnum
 * @description: 车辆产地枚举类
 * @author: jk
 * @date: 2022/6/29 9:35
 * @version: 1.0
 **/
public enum PlaceOfOriginOfVehicleEnum {

    DOMESTIC("1", "国产"),

    IMPORT("2", "进口");

    private String code;
    private String name;

    PlaceOfOriginOfVehicleEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static PlaceOfOriginOfVehicleEnum getEnumByCode(String code) {
        for (PlaceOfOriginOfVehicleEnum e : PlaceOfOriginOfVehicleEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
