package com.cusc.nirvana.user.rnr.enterprise.constants;

/**
 * Description: 响应码
 * <br />
 * CreateDate 2021-11-02 19:52:36
 *
 * @author yuyi
 **/
public enum ResponseCode {
    USER_PHONE_EXISTS(2000,"用户手机号码已存在"),
    USER_ORGAN_NOT_FOUND(2001,"未查询到当前用户组织id"),
    CAPTCHA_IMAGE_CODE_ERROR(2002,"图形验证码错误"),
    USER_PHONE_NOT_FOUND(2003,"您输入的手机号无法获取到有效的用户信息"),
    USER_PASSWORD_KEY_NOT_FOUND(2004,"请先获取密码的加密密钥"),
    USER_NAME_PASSWORD_ERROR(2005,"账号或密码错误"),

    INVALID_DATA(1001, "数据校验不通过"),
    SYS_BUSY(1002, "服务调用失败"),
    SERVICE_NOT_FOUND(1003, "服务不存在"),
    TP_SYS_BUSY(1004, "第三方服务调用失败"),
    JSON_FORMAT_ERROR(1005, "参数格式错误"),
    REQ_TOO_MANY_TIMES(1007, "请求过于频繁，请稍后再试!"),
    NO_DATA_AUTH(1008, "请求过于频繁，请稍后再试!"),
    REDIS_OPT_FAIL(1009, "redis操作失败，请稍后再试！"),
    PARAMETER_NULL(1010, "请求参数不能为空！"),
    DATA_NULL(1011, "没有获取到当前管理员！"),
    PROTOCOL_MANAGE_NULL(1012,"没有获取到协议信息"),
    UUID_NULL(1013,"uuid不可为空"),
    ProtocolManage_NOT_NULL(1014,"当前组织已经添加过了"),
    BIZTYPE_ERROR(1015,"当前组织为经销商不可以创建除经销商以外的组织类型"),
    RNR_INFO_IS_NULL(1016,"未查询到用户信息"),
    RNR_ORDER_IS_NULL(1017,"未查询到订单信息"),
    RNR_CAR_INFO_IS_NULL(1018,"未查询到实名卡信息")
    ;




    private Integer code;
    private String msg;

    ResponseCode(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
