package com.cusc.nirvana.user.rnr.enterprise.constants;

/**
 * @className: RnrStatusEnum
 * @description: 实名状态
 * @author: jk
 * @date: 2022/6/16 19:26
 * @version: 1.0
 **/
public enum RnrStatusEnum {
    /**
     * 车厂
     */
    NO_REAL_NAME(0, "未实名"),

    REAL_NAME(1, "已实名"),

    REAL_NAME_ERROR(2, "实名失败"),
    /**
     * 经销商
     */
    UN_BIND(3, "已解绑");
    private Integer code;
    private String name;

    RnrStatusEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public static RnrStatusEnum getEnumByCode(Integer code) {
        for (RnrStatusEnum e : RnrStatusEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
