package com.cusc.nirvana.user.rnr.enterprise.constants;

/**
 * @className: VehicleTypeEnum
 * @description: 车辆类型
 * @author: jk
 * @date: 2022/6/29 9:22
 * @version: 1.0
 **/
public enum VehicleTypeEnum {

    BUS("1", "乘用车及客车"),

    TRUCK("2", "货车"),

    TRACTOR("3", "半挂车牵引车"),

    SEMI_TRAILER("4", "半挂车"),

    TWO_WHEELED_MOTORCYCLE("5", "两轮摩托车和两轮轻便摩托车"),

    THREE_WHEELED_MOTORCYCLE("6", "三轮摩托车和三轮轻便摩托车"),

    TRICYCLE("7", "三轮汽车"),

    LOW_SPEED_TRUCK("8", "低速货车"),

    SPECIAL_PURPOSE_VEHICLE("9", "专用汽车"),

    OTHER("10", "示非《公告》车辆产品");

    private String code;
    private String name;

    VehicleTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static VehicleTypeEnum getEnumByCode(String code) {
        for (VehicleTypeEnum e : VehicleTypeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
