package com.cusc.nirvana.user.rnr.enterprise.controller;

import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.common.SysModuleEnum;
import com.cusc.nirvana.user.rnr.enterprise.config.SysLog;
import com.cusc.nirvana.user.rnr.enterprise.dto.UserAccountDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.UserAccountPageQueryDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.UserAccountUpdateDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.UserAddRequestDTO;
import com.cusc.nirvana.user.rnr.enterprise.service.IAccountService;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


/**
 * @author stayAnd
 * @date 2022/4/15
 */
@RestController
@RequestMapping("/userEnterprise/account")
@ApiModel("账号管理")
public class AccountController {

	@Resource
	private IAccountService accountService;


	@PostMapping("/add")
	@ApiOperation("新增账号管理")
	@SysLog(sysModule = SysModuleEnum.ADD_ACCOUNT)
	public Response add(@RequestBody UserAddRequestDTO dto){
		accountService.addAccount(dto);
		return Response.createSuccess();
	}

	/**
	 * 管理后台-》账号管理-》list查询
	 * @param dto
	 * @return
	 */
	@PostMapping("/pageList")
	public Response<PageResult<UserAccountDTO>> pageList(@RequestBody UserAccountPageQueryDTO dto){
		return Response.createSuccess(accountService.pageList(dto));
	}

	@PostMapping("/update")
	@SysLog(sysModule = SysModuleEnum.UPDATE_ACCOUNT)
	public Response update(@RequestBody UserAccountUpdateDTO dto){
		accountService.update(dto);
		return Response.createSuccess();
	}

}
