package com.cusc.nirvana.user.rnr.enterprise.controller;

import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.service.IAdminRnrOrderService;
import com.cusc.nirvana.user.rnr.fp.dto.RnrOrderDetailDTO;
import com.cusc.nirvana.user.rnr.fp.dto.RnrOrderListQueryDTO;
import com.cusc.nirvana.user.rnr.fp.dto.RnrOrderListResponseDTO;
import com.cusc.nirvana.user.rnr.fp.dto.VinCardDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCardInfoDTO;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.Valid;
import java.util.List;

/**
 * @author stayAnd
 * @date 2022/8/2
 */
@RestController
@RequestMapping(("/rnrOrder"))
public class AdminOrderController {



	@Resource
	private IAdminRnrOrderService rnrOrderService;

	/*@GetMapping("/queryTenantList")
	public Response<TenantResponseDTO> queryTenantList(){
		TenantDTO query = new TenantDTO();
		query.setBizzScene("2,");
		List<TenantDTO> tenantList = tenantClient.queryByList(query).getData();

		TenantResponseDTO response = new TenantResponseDTO();
		response.setTenantList(tenantList);
		return Response.createSuccess(response);
	}*/

	@PostMapping("/pageListQuery")
	public Response<PageResult<RnrOrderListResponseDTO>> pageListQuery(@Valid @RequestBody RnrOrderListQueryDTO dto){
		return Response.createSuccess(rnrOrderService.pageListQuery(dto));
	}


	@PostMapping("/queryCardPageByOrderId")
	public Response<PageResult<VinCardDTO>> queryCardPageByOrderId(@RequestBody MgRnrCardInfoDTO dto){
		return Response.createSuccess(rnrOrderService.queryCardPageByOrderId(dto));
	}

	@GetMapping("/queryOrderDetail")
	public Response<RnrOrderDetailDTO> queryOrderDetail(@RequestParam("orderId") String orderId){
		return Response.createSuccess(rnrOrderService.queryOrderDetail(orderId));
	}


}
