package com.cusc.nirvana.user.rnr.enterprise.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.auth.authentication.plug.user.UserSubjectUtil;
import com.cusc.nirvana.user.rnr.enterprise.service.IBaseConfigService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Description: 卡解绑控制层
 * <br />
 * CreateDate 2022-04-16 15:16:55
 *
 * @author yuyi
 **/
@RestController
@RequestMapping("/baseconfig")
public class BaseConfigController {
    @Autowired
    private IBaseConfigService baseConfigService;


    @ApiOperation(value = "获取字典数据", notes = "获取字典数据")
    @GetMapping("/getDicData")
    public Response getDicData() {
        String tenantNo = UserSubjectUtil.getTenantNo();
        return baseConfigService.getDicData(tenantNo);
    }


}
