package com.cusc.nirvana.user.rnr.enterprise.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.dto.ImportSimDTO;
import com.cusc.nirvana.user.rnr.enterprise.service.ICarInfoImportService;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @className: CarInfoImportController
 * @description: 车辆信息导入控制层
 * @author: jk
 * @date: 2022/6/28 19:06
 * @version: 1.0
 **/
@Slf4j
@RestController
@RequestMapping("/carInfo/")
@ApiModel("导入")
@Validated
public class CarInfoImportController {

    @Resource
    private ICarInfoImportService carInfoImportService;
    @PostMapping("import")
    @ApiOperation(value = "导入车辆信息")
    public Response<?> importSim(@RequestBody @Validated ImportSimDTO importSimDTO) {
        return carInfoImportService.importSim(importSimDTO);
    }
}
