package com.cusc.nirvana.user.rnr.enterprise.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.common.SysModuleEnum;
import com.cusc.nirvana.user.rnr.enterprise.config.SysLog;
import com.cusc.nirvana.user.rnr.enterprise.dto.*;
import com.cusc.nirvana.user.rnr.enterprise.service.IEnterpriseRnrService;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.Valid;


/**
 * @author stayAnd
 * @date 2022/6/7
 */
@RestController
@RequestMapping("/enterpriseRnr/h5")
public class EnterpriseRnrH5Controller {

	@Resource
	private IEnterpriseRnrService enterpriseRnrService;

	@PostMapping("/submitRnr")
	@SysLog(sysModule = SysModuleEnum.ENTERPRISE_H5_RNR)
	public Response<EnterpriseRnrH5RespDTO> submitRnr(@Valid @RequestBody EnterpriseRnrH5RequestDTO dto) {
		return Response.createSuccess(enterpriseRnrService.submitRnrH5(dto));
	}

	/**
	 * 活体回调
	 * @param bean
	 * @return
	 */
	@RequestMapping(value = "/livenessCallback", method = RequestMethod.POST, produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
	public Response<EnterpriseRnrH5CallBackRespDTO> afreshLivenessUrl(@Valid @RequestBody LivenessCallbackReqDTO bean) {
		return Response.createSuccess(enterpriseRnrService.afreshLivenessUrl(bean));
	}


	@PostMapping("/submitRnrWithFile")
	@SysLog(sysModule = SysModuleEnum.ENTERPRISE_H5_RNR)
	public Response<EnterpriseRnrH5RespDTO> submitRnrWithFile(@Valid @RequestBody EnterpriseRnrH5FileRequestDTO dto) {
		return Response.createSuccess(enterpriseRnrService.submitRnrWithFile(dto));
	}
}
