package com.cusc.nirvana.user.rnr.enterprise.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.dto.EnterpriseUnBindDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.VinCheckResponseDTO;
import com.cusc.nirvana.user.rnr.enterprise.service.EnterpriseUnBindService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

/**
 * @className: EnterpriseUnBind
 * @description: 企业解绑
 * @author: jk
 * @date: 2022/6/16 18:20
 * @version: 1.0
 **/
@RestController
@RequestMapping("/enterprise")
public class EnterpriseUnBindController {

    @Resource
    private EnterpriseUnBindService enterpriseUnBindService;

    /**
     * @author: jk
     * @description: 解绑参数校验
     * @date: 2022/6/16 18:24
     * @version: 1.0
     */
    @PostMapping("/unBindCheck")
    public Response<VinCheckResponseDTO> enterpriseUnBindCheck(@Valid @RequestBody EnterpriseUnBindDTO dto) {

        return Response.createSuccess(enterpriseUnBindService.enterpriseUnBindCheck(dto));
    }

    /**
     * 提交解绑信息
     */
    @ApiOperation(value = "提交解绑信息", notes = "提交解绑信息")
    @PostMapping("/submitUnBind")
    public Response submitUnBind(@Valid @RequestBody EnterpriseUnBindDTO dto) {
        return enterpriseUnBindService.submitUnBind(dto);
    }
}
