package com.cusc.nirvana.user.rnr.enterprise.controller;

import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.dto.LogCategoryDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.LogInfoRequestDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.LogInfoResponseDTO;
import com.cusc.nirvana.user.rnr.enterprise.service.ILogService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author stayAnd
 * @date 2022/7/4
 */
@RestController
@RequestMapping("/log")
public class LogController {

	@Resource
	private ILogService logService;

	@GetMapping("/category")
	public Response<LogCategoryDTO> category(){
		return Response.createSuccess(logService.category());
	}


	@PostMapping("/list")
	public Response<PageResult<LogInfoResponseDTO>> list(@RequestBody LogInfoRequestDTO requestDTO){
		return Response.createSuccess(logService.list(requestDTO));
	}

}
