package com.cusc.nirvana.user.rnr.enterprise.controller;


import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.constants.ResponseCode;
import com.cusc.nirvana.user.rnr.fp.client.OcrClient;
import com.cusc.nirvana.user.rnr.fp.dto.OcrNpReqDTO;
import com.cusc.nirvana.user.rnr.fp.dto.OcrNpRespDTO;
import com.cusc.nirvana.user.util.CuscStringUtils;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 光伏识别控制层
 *
 * @author yuy336
 * @since 2022-01-26 11:17:21
 */
@RestController
@RequestMapping("/ocr")
public class OcrController {

    @Resource
    private OcrClient ocrClient;

    /**
     * 自然人身份证光符识别
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    @PostMapping("/idCard")
    @ApiOperation(value = "自然人身份证光符识别", notes = "自然人身份证光符识别")
    public Response<OcrNpRespDTO> idCard(@RequestBody OcrNpReqDTO bean) {
        if(CuscStringUtils.isEmpty(bean.getOcrPic())){
            return Response.createError(ResponseCode.PARAMETER_NULL.getMsg(),ResponseCode.PARAMETER_NULL.getCode());
        }
        bean.setSerialNumber(CuscStringUtils.generateUuid());
        return ocrClient.ocr(bean);
    }
}

