package com.cusc.nirvana.user.rnr.enterprise.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.dto.OrderDetailsResponse;
import com.cusc.nirvana.user.rnr.enterprise.dto.QueryOrderDetailRequest;
import com.cusc.nirvana.user.rnr.enterprise.service.IOrderMgrService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


/**
 * 管理后台入口
 *
 * @author lig131
 * @date 2022/4/25
 */
@Slf4j
@RestController
@RequestMapping("/orderMgr")
public class OrderMgrController {
    @Resource
    private IOrderMgrService orderMgrService;

    @PostMapping("/queryOrderDetail")
    public Response queryOrderDetail(@Validated @RequestBody QueryOrderDetailRequest request) {
        if (request == null || StringUtils.isBlank(request.getOrderUuid())) {
            return Response.createError("参数[orderUuid]为空");
        }
        try {
            OrderDetailsResponse orderDetail = orderMgrService.queryOrderDetail(request.getOrderUuid());
            return Response.createSuccess(orderDetail);
        } catch (Exception e) {
            log.error("queryOrderDetail error:", e);
            return Response.createError("error:" + e.getMessage());
        }
    }


}
