package com.cusc.nirvana.user.rnr.enterprise.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.auth.authentication.plug.user.UserSubjectUtil;
import com.cusc.nirvana.user.eiam.client.ResourceClient;
import com.cusc.nirvana.user.eiam.common.IamListRespone;
import com.cusc.nirvana.user.eiam.dto.ResourceSimpleDTO;
import com.cusc.nirvana.user.eiam.dto.UserRoleDTO;
import com.cusc.nirvana.user.rnr.enterprise.constants.EnterpriseLoginSourceEnum;
import com.cusc.nirvana.user.rnr.enterprise.util.ResponseUtil;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Description: 资源控制层
 * <br />
 * CreateDate 2022-05-10 14:39:37
 *
 * @author yuyi
 **/
@Slf4j
@RestController
@RequestMapping("/resource")
public class ResourceController {

    @Autowired
    ResourceClient resourceClient;

    @PostMapping("/queryCurrUserResourceList")
    @ApiOperation(value = "查询当前用户的资源集合", notes = "通过角色id查询资源信息")
    public Response<IamListRespone<ResourceSimpleDTO>> queryCurrUserResourceList() {
        UserRoleDTO bean = new UserRoleDTO();
        bean.setUserId(UserSubjectUtil.getUserId());
        bean.setTenantNo(UserSubjectUtil.getTenantNo());
        bean.setApplicationId(EnterpriseLoginSourceEnum.WEB.getAppId());
        return ResponseUtil.changeResponseList(resourceClient.queryResourceByUserId(bean));
    }
}
