package com.cusc.nirvana.user.rnr.enterprise.controller;


import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.dto.SearchCardAuthDTO;
import com.cusc.nirvana.user.rnr.enterprise.service.ISearchCardAuthService;
import com.cusc.nirvana.user.rnr.fp.common.ResponseCode;
import com.cusc.nirvana.user.rnr.mg.dto.MgSearchCardAuthDTO;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * Description: 查询车辆认证进度
 * @modify 2022-05-18
 **/
@RestController
@RequestMapping("/search")
public class SearchCardAuthController {
    @Autowired
    private ISearchCardAuthService searchCardAuthService;

    /**
     * 单车认证进度查询
     * @return
     */
    @PostMapping("/carProgress")
    public Response searchAuth1(@RequestBody SearchCardAuthDTO bean){
        if(StringUtils.isBlank(bean.getVin())){
            return Response.createError("vin不能为空", ResponseCode.INVALID_DATA.getCode());
        }
        return searchCardAuthService.searchAuth1(bean);
    }

    /**
     * 车企审核进度查询
     * @return
     */
    @PostMapping("/checkProgress")
    public Response searchAuth2(@RequestBody SearchCardAuthDTO bean){

        return searchCardAuthService.searchAuth2(bean);
    }

    /**
     * 审核统计查询
     * @return
     */
    @PostMapping("/queryCheckStatistics")
    public Response queryCheckStatistics(){

        return searchCardAuthService.queryCheckStatistics();
    }
}
