package com.cusc.nirvana.user.rnr.enterprise.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.common.SysModuleEnum;
import com.cusc.nirvana.user.rnr.enterprise.config.SysLog;
import com.cusc.nirvana.user.rnr.enterprise.dto.*;
import com.cusc.nirvana.user.rnr.enterprise.dto.validator.groups.VehicleCardRnrGroup;
import com.cusc.nirvana.user.rnr.enterprise.service.ISurplusCardBindService;
import com.cusc.nirvana.user.rnr.fp.dto.SurplusQueryRequestDTO;
import com.cusc.nirvana.user.rnr.fp.dto.SurplusQueryResponseDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgBizNoticeDTO;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * Description: 剩余卡绑定控制层
 * <br />
 * CreateDate 2022-04-16 15:16:55
 *
 * @author yuyi
 **/
@RestController
@RequestMapping("/surplus/card/bind")
public class SurplusCardBindController {

    @Autowired
    ISurplusCardBindService surplusCardBindService;

//    /**
//     * 发送确认短信
//     */
//    @ApiOperation(value = "发送一车多卡确认短信", notes = "发送一车多卡确认短信")
//    @PostMapping("/sendConfirmMessage")
//    public Response<SmsResponseDTO> sendConfirmMessage(@Valid @RequestBody UnBindIccidDTO unBindIccidDTO) {
//        return surplusCardBindService.sendConfirmMessage(unBindIccidDTO);
//    }


    /**
     * Description: 提交绑定剩余卡
     * <br />
     * CreateDate 2022-04-20 16:43:36
     *
     * @author yuyi
     **/
    @ApiOperation(value = "提交绑定剩余卡", notes = "提交绑定剩余卡")
    @PostMapping("/submit")
	@SysLog(sysModule = SysModuleEnum.SURPLUS_CARD_BIND)
    public Response submit(@Validated(VehicleCardRnrGroup.Submit.class) @RequestBody VehicleCardRnrDTO bean) {
        return surplusCardBindService.bindSurplusCard(bean);
    }

    /**
     * Description: 查询绑定结果
     * <br />
     * CreateDate 2022-04-20 16:43:36
     *
     * @author yuyi
     **/
    @ApiOperation(value = "查询绑定结果", notes = "查询绑定结果")
    @PostMapping("/queryResult")
    public Response<SurplusQueryResponseDTO> queryResult(@RequestBody SurplusQueryRequestDTO bean) {
        return surplusCardBindService.queryResult(bean);
    }

}
