package com.cusc.nirvana.user.rnr.enterprise.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.common.SysModuleEnum;
import com.cusc.nirvana.user.rnr.enterprise.config.SysLog;
import com.cusc.nirvana.user.rnr.enterprise.dto.EMVinCardResponseDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.VehicleRnrVinCardInfoDTO;
import com.cusc.nirvana.user.rnr.enterprise.service.IVehicleRnrUnboundService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * Description: 车企实名解绑
 * <br />
 * CreateDate 2022-04-20 17:13:59
 *
 * @author yuyi
 **/
@RestController
@RequestMapping("/vehicle/unbound")
public class VehicleRnrUnboundController {

    @Autowired
    IVehicleRnrUnboundService unboundService;

    /**
     * Description: 车企实名解绑校验车卡信息
     * <br />
     * CreateDate 2022-04-20 17:34:37
     *
     * @author yuyi
     **/
    @ApiOperation(value = "车企实名解绑校验车卡信息", notes = "车企实名解绑校验车卡信息")
    @PostMapping("/verifyVinCards")
    public Response<EMVinCardResponseDTO> verifyVinCards(@Valid @RequestBody VehicleRnrVinCardInfoDTO bean) {
        return unboundService.verifyUnboundVinCards(bean);
    }

    /**
     * Description: 提交车企解绑信息
     * <br />
     * CreateDate 2022-04-20 16:43:36
     *
     * @author yuyi
     **/
    @ApiOperation(value = "提交车企解绑信息", notes = "提交车企解绑信息")
    @PostMapping("/submit")
	@SysLog(sysModule = SysModuleEnum.MANUFACTURER_UBIND)
    public Response submit(@Validated @RequestBody VehicleRnrVinCardInfoDTO bean) {
        return unboundService.unboundSubmit(bean);
    }
}
