package com.cusc.nirvana.user.rnr.enterprise.dto;

import com.cusc.nirvana.user.rnr.enterprise.common.DesensitizationFieId;
import com.cusc.nirvana.user.rnr.enterprise.dto.validator.groups.VehicleCardRnrGroup;
import com.cusc.nirvana.user.rnr.enterprise.util.DesensitizationUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.*;
import java.util.List;

/**
 * Description: 剩余卡绑定DTO
 * <br />
 * CreateDate 2022-04-20 20:22:56
 *
 * @author yuyi
 **/
@Data
public class ChangeTboxDTO implements Serializable {

    private static final long serialVersionUID = -5712879585098743410L;

    @ApiModelProperty(value = "车辆VIN号")
    @NotEmpty(message = "vin不能为空",groups = {VehicleCardRnrGroup.Query.class})
	@DesensitizationFieId(desensitizationRule = DesensitizationUtil.DESENSITIZATION_VIN,sort = 0)
    private String vin;

    @ApiModelProperty(value = "ICCID编码集合")
    private List<IccidChangeDTO> iccidList;
}
