package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 委托人信息
 *
 * @author yubo
 * @since 2022-04-18 19:10
 */
@Data
public class ConsignerInfoDTO {

    @ApiModelProperty(value = "委托人姓名")
    @NotBlank(message = "委托人姓名不能为空")
    private String fullName;

    @ApiModelProperty(value = "委托人手机号")
    @NotBlank(message = "委托人手机号不能为空")
    private String phone;

    @ApiModelProperty(value = "手机验证码")
    @NotBlank(message = "手机验证码不能为空")
    private String verificationCode;

    @ApiModelProperty(value = "性别")
    @NotNull(message = "性别不能为空")
    private Integer gender;

    @ApiModelProperty(value = "证件类型")
    @NotBlank(message = "证件类型不能为空")
    private String certType;

    @ApiModelProperty(value = "证件号码")
    @NotBlank(message = "证件号码不能为空")
    private String certNumber;

    @ApiModelProperty(value = "证件地址")
    @NotBlank(message = "证件地址不能为空")
    private String certAddress;

    @ApiModelProperty(value = "证件照片")
    @NotEmpty(message = "证件照片不能为空")
    private List<String> certPic;

    @ApiModelProperty(value = "证件有效期")
    @NotBlank(message = "证件有效期不能为空")
    private String certExpirationDate;

    @ApiModelProperty(value = "通讯地址")
//    @NotBlank(message = "通讯地址不能为空")
    private String contactAddress;

    @ApiModelProperty(value = "委托书")
    @NotEmpty(message = "委托书不能为空")
    private List<String> attorneyLetterPic;
}
