package com.cusc.nirvana.user.rnr.enterprise.dto;

import com.cusc.nirvana.user.eiam.dto.OrganizationDTO;
import com.cusc.nirvana.user.eiam.dto.UserDTO;
import com.cusc.nirvana.user.rnr.enterprise.constants.OrganBizzTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author stayAnd
 * @date 2022/4/14
 */
@ApiModel("经销商新增")
@Data
public class DistributorAddDTO {


	@ApiModelProperty("经销商名称")
	@NotNull(message = "经销商名称不能为空")
	private String distributorName;

	@ApiModelProperty("备注")
	private String remark;

	@ApiModelProperty("管理员姓名")
	@NotNull(message = "管理员姓名不能为空")
	private String distributorAdminUserName;

	@ApiModelProperty("管理员账号")
	@NotNull(message = "管理员账号不能为空")
	private String distributorAdminUserAccount;

	@ApiModelProperty("密码")
	@NotNull(message = "密码不能为空")
	private String password;

	@ApiModelProperty("手机号")
	@NotNull(message = "手机号不能为空")
	private String phone;

	public OrganizationDTO toOrganDTO() {
		OrganizationDTO dto = new OrganizationDTO();
		dto.setOrganName(this.distributorName);
		dto.setComment(this.remark);
		dto.setBizType(OrganBizzTypeEnum.DISTRIBUTOR.getCode());
		return dto;
	}

	public UserDTO toUserDto() {
		UserDTO userDTO = new UserDTO();
		userDTO.setFullName(this.distributorAdminUserName);
		userDTO.setUserName(this.distributorAdminUserAccount);
		userDTO.setPhone(this.phone);
		userDTO.setPassword(this.password);
		return userDTO;
	}
}
