package com.cusc.nirvana.user.rnr.enterprise.dto;

import com.cusc.nirvana.user.eiam.dto.OrganizationDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author stayAnd
 * @date 2022/4/15
 */
@Data
@ApiModel("经销商分页查询参数DTO")
public class DistributorPageQueryDTO {

	@ApiModelProperty("经销商编号")
	private String distributorNo;

	@ApiModelProperty("经销商名称")
	private String distributorName;

	@ApiModelProperty(value = "当前页码")
	private Integer currPage = 1;

	@ApiModelProperty(value = "页面显示行数")
	private Integer pageSize = 10;

	public OrganizationDTO toPageQueryDto() {
		OrganizationDTO dto = new OrganizationDTO();
		dto.setOrganCode(distributorNo);
		dto.setOrganName(distributorName);
		return dto;
	}
}
