package com.cusc.nirvana.user.rnr.enterprise.dto;

import com.cusc.nirvana.user.util.JsonUtil;
import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.TreeMap;

/**
 * 企业信息
 *
 * @program: workspace-rnr-new
 * @description:
 * @author: lig131
 * @create: 2022-04-25 10:23
 **/
@Data
public class EnterpriseInfo {
    /**
     * 企业名称
     */
    private String companyName;
    /**
     * 企业性质
     */
    private String companyType;
    /**
     * 行业性质
     */
    private String industryType;
    /**
     * 企业证件类型
     */
    private String companyCertType;
    /**
     * 企业证件号码
     */
    private String companyCertNumber;
    /**
     * 企业证件照片+企业文件
     */
    private Map<String, List<FileInfo>> fileMap = new TreeMap<>();
    /**
     * 证件地址
     */
    private String companyCertAddress;
    /**
     * 通讯地址
     */
    private String companyContactAddress;

    public static void main(String[] args) {
        EnterpriseInfo info = new EnterpriseInfo();
        info.setCompanyCertType("企业证件类型");
        info.setCompanyCertAddress("企业证件地址");
        info.setCompanyCertNumber("企业证件号码");
        info.setCompanyContactAddress("企业联系地址");
        info.setCompanyType("企业类型");
        info.setIndustryType("行业类型");
        info.setCompanyName("公司名称");
        info.setFileMap(null);
        System.out.println(JsonUtil.toJson(info));
    }
}
