package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * @className: EnterpriseUnBindDTO
 * @description: 企业解绑实体
 * @author: jk
 * @date: 2022/6/17 10:39
 * @version: 1.0
 **/
@Data
public class EnterpriseUnBindDTO implements Serializable {
    private static final long serialVersionUID = 8325801116331488860L;

    @ApiModelProperty("vin码集合")
    @NotEmpty(
            message = "vin码不能为空"
    )
    private List<String> vinList;

    @ApiModelProperty("工单id")
    private String orderId;

    @ApiModelProperty("解绑手机号")
    private String phone;

    @ApiModelProperty("姓名")
    private String userName;
}
