package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 文件上传请求
 * @author jiamj
 * @date 2021/11/3
 */
@Data
@ApiModel("文件上传")
public class FileUploadDTO implements Serializable {
    private static final long serialVersionUID = -267145861320351989L;

    @ApiModelProperty("文件存储根目录，格式为：XXXX/ （前面不要斜杠，后面要斜杠）")
    private String rootPath;

    @ApiModelProperty("文件存储自定义目录，格式为：XXXX/ （前面不要斜杠，后面要斜杠）")
    private String path;

    @ApiModelProperty("文件唯一标识，如为空，系统自动生成")
    private String uuid;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty(value = "文件存储类型：私有private或公有public", hidden = true)
    private String type;

    @ApiModelProperty("上传的文件")
    private MultipartFile file;

}
