package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@ApiModel("导入Sim卡对象")
@Data
public class ImportSimDTO {

    /**组织业务uuid*/
    @ApiModelProperty(value = "组织业务uuid")
    @NotBlank(message = "组织业务主键不能为空")
    private String orgUuid;

    /**文件标识*/
    @ApiModelProperty("文件上传后的uuid")
    @NotBlank(message = "文件标识不能为空")
    private String fileUuid;

    /**文件名*/
    @ApiModelProperty("上传文件的原始名称")
    @NotBlank(message = "文件名称不能为空")
    private String fileName;

    /**文件类型,0:SIM卡,1:车卡关系*/
    @ApiModelProperty("文件类型，1:车卡关系")
    @NotNull(message = "文件类型不能为空")
    private Integer fileType;

    /**业务标签*/
    @ApiModelProperty("业务标签，每个车厂有自己的业务标签信息列表，只有一个标签时为默认，不需要选择，为多个标签时必须选择一个")
    private String tagUuid;

}
