package com.cusc.nirvana.user.rnr.enterprise.dto;

import com.cusc.nirvana.user.rnr.enterprise.common.DesensitizationFieId;
import com.cusc.nirvana.user.rnr.enterprise.util.DesensitizationUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author stayAnd
 * @date 2022/4/13
 */
@Data
public class LoginRequestDTO {
	/**
	 * 租户号
	 */
	@ApiModelProperty(value = "租户号")
	private String tenantNo;

	/**
	 * 手机号
	 */
	@ApiModelProperty(value = "手机号")
	@DesensitizationFieId(desensitizationRule = DesensitizationUtil.DESENSITIZATION_PHONE,sort = 0)
	private String phone;

	/**
	 * 短信
	 */
	@ApiModelProperty(value = "短信")
	private String sms;

	@ApiModelProperty(value = "平台来源 Web H5")
	@DesensitizationFieId(desensitizationRule = DesensitizationUtil.DESENSITIZATION_NONE,sort = 1)
	private String platformSource;
}
