package com.cusc.nirvana.user.rnr.enterprise.dto;

import com.cusc.nirvana.user.auth.identification.dto.UserNameLoginReq;
import com.cusc.nirvana.user.rnr.enterprise.common.DesensitizationFieId;
import com.cusc.nirvana.user.rnr.enterprise.util.DesensitizationUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description: 用户名+密码登录请求DTO
 * <br />
 * CreateDate 2022-06-11 21:25:39
 *
 * @author yuyi
 **/
@Data
public class LoginUserNameReqDTO extends UserNameLoginReq {

	@ApiModelProperty(value = "用户名")
	@DesensitizationFieId(desensitizationRule = DesensitizationUtil.DESENSITIZATION_NAME,sort = 0)
	private String userName;

	@ApiModelProperty(value = "平台来源 Web H5")
	@DesensitizationFieId(desensitizationRule = DesensitizationUtil.DESENSITIZATION_NONE,sort = 1)
	private String platformSource;

	@ApiModelProperty("请求id")
	private String captchaId;

	@ApiModelProperty("验证码")
	private String captchaCode;
}
