package com.cusc.nirvana.user.rnr.enterprise.dto;

import com.cusc.nirvana.user.rnr.fp.dto.VinCardDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 车企实名认证认证信息DTO
 *
 * @author huchenhui
 * @date 2022-04-14
 */
@Data
public class ManufacturerRnrCertificationInfoDTO implements Serializable {
    private static final long serialVersionUID = 448132198407770700L;

    @ApiModelProperty(value = "请求ID")
    private String requestId;

    @ApiModelProperty(value = "车辆VIN号和ICCID编号集合")
    private List<VinCardDTO> vinCardList;

    @ApiModelProperty(value = "企业名称")
    private String companyName;

    @ApiModelProperty(value = "企业证件类型")
    private String companyCertType;

    @ApiModelProperty(value = "企业证件号码")
    private String companyCertNumber;

    @ApiModelProperty(value = "企业证件照片")
    private String licenseImages;

    @ApiModelProperty(value = "企业证件地址")
    private String companyCertAddress;

    @ApiModelProperty(value = "企业通讯地址")
    private String companyContactAddress;

    @ApiModelProperty(value = "责任人姓名")
    private String corporationName;

    @ApiModelProperty(value = "性别")
    private String corporationGender;

    @ApiModelProperty(value = "责任人证件类型")
    private String corporationCertType;

    @ApiModelProperty(value = "责任人证件号")
    private String corporationCertNumber;

    @ApiModelProperty(value = "责任人证件地址")
    private String corporationCertAddress;

    @ApiModelProperty(value = "责任人证件正面")
    private String corporationCertFrontPic;

    @ApiModelProperty(value = "责任人证件反面")
    private String corporationCertBackPic;

    @ApiModelProperty(value = "责任人证件有效期")
    private String corporationCertExpirationDate;

    @ApiModelProperty(value = "责任人活体照片")
    private String corporationPhoto;

    @ApiModelProperty(value = "责任人通讯地址")
    private String corporationContactAddress;

    @ApiModelProperty(value = "责任人手机号码")
    private String corporationPhone;

    @ApiModelProperty(value = "企业实名认证授权书")
    private String enterpriseRnrAuthorizationLetter;
}
