package com.cusc.nirvana.user.rnr.enterprise.dto;

import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.TreeMap;

/**
 * 车主信息、责任人信息
 *
 * @program: workspace-rnr-new
 * @description:
 * @author: lig131
 * @create: 2022-04-25 10:19
 **/
@Data
public class NatualPersonInfo {
    private String Uuid;
    /**
     * 姓名
     */
    private String fullName;
    /**
     * 性别
     */
    private String gender;
    /**
     * 证件类型
     */
    private String certType;
    /**
     * 证件照片
     * mg_rnr_file
     * rnr_company_id == null  and  liaison_id==null
     */
    private Map<String, List<FileInfo>> fileMap = new TreeMap<>();
    /**
     * 证件号码
     */
    private String certNumber;
    /**
     * 有效期-起始日期
     */
    private String effectiveDate;
    /**
     * 有效期-结束日期
     */
    private String expiredDate;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 通信地址
     */
    private String contactAddress;
    /**
     * 证件地址
     */
    private String certAddress;
    /**
     * 是否是公司
     */
    private Boolean isCompany;
}
