package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @className: OrganChangeAdminDto
 * @description: 切换B端组织管理员
 * @author: jk
 * @date: 2022/5/26 17:01
 * @version: 1.0
 **/
@Data
@ApiModel("切换B端组织管理员")
public class    OrganChangeAdminDto {

    @ApiModelProperty("组织id")
    @NotNull(message = "组织id不可为空")
    private String uuid;

    @ApiModelProperty("新管理员id")
    private String newAdminUserId;

    @ApiModelProperty("新建管理员账号")
    private String createAdminAccount;

    @ApiModelProperty("新建管理员姓名")
    private String createAdminUserName;

    @ApiModelProperty("新建管理员密码")
    private String createAdminPassword;

    @ApiModelProperty("新建管理员手机号")
    private String createAdminPhone;

    @ApiModelProperty("普通管理员类型")
    private Integer ordinaryAdmin;

    @ApiModelProperty("组织类型")
    @Max(value = 3,message = "请输入正确的组织类型")
    @Min(value = 1,message = "请输入正确的组织类型")
    @NotNull(message = "组织类型不可为空")
    private Integer bizType;

}
