package com.cusc.nirvana.user.rnr.enterprise.dto;

import com.cusc.nirvana.user.eiam.dto.OrganizationDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description: B端组织管理分页
 * <br />
 * CreateDate 2022-05-19 16:24:17
 *
 * @author yuyi
 **/
@ApiModel(value = "B端组织管理分页", description = "B端组织管理分页")
@Data
public class OrganPageDTO extends OrganDTO {

    @ApiModelProperty(value = "当前页码")
    private Integer currPage = 1;

    @ApiModelProperty(value = "页面显示行数")
    private Integer pageSize = 10;

    public OrganizationDTO toOrganPageDTO() {
        OrganizationDTO organizationDTO = super.toOrganDTO();
        organizationDTO.setCurrPage(this.getCurrPage());
        organizationDTO.setPageSize(this.getPageSize());
        return organizationDTO;
    }
}
