package com.cusc.nirvana.user.rnr.enterprise.dto;

import com.cusc.nirvana.user.eiam.dto.UserDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author stayAnd
 * @date 2022/4/15
 */
@ApiModel("账号分页查询参数")
@Data
public class UserAccountPageQueryDTO {
	@ApiModelProperty(value = "当前页码")
	private Integer currPage = 1;

	@ApiModelProperty(value = "页面显示行数")
	private Integer pageSize = 10;

	@ApiModelProperty("指定查询的组织id")
	private String organId;

	@ApiModelProperty("姓名")
	private String userName;

	@ApiModelProperty("账号")
	private String account;

	@ApiModelProperty("手机号")
	private String phone;

	public UserDTO toQueryDto() {
		UserDTO userDTO = new UserDTO();
		userDTO.setCurrPage(this.getCurrPage());
		userDTO.setPageSize(this.getPageSize());
		userDTO.setFullName(this.getUserName());
		userDTO.setUserName(this.getAccount());
		userDTO.setPhone(this.getPhone());
		return userDTO;
	}
}
