package com.cusc.nirvana.user.rnr.enterprise.dto;

import com.cusc.nirvana.user.rnr.enterprise.common.DesensitizationFieId;
import com.cusc.nirvana.user.rnr.enterprise.util.DesensitizationUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author stayAnd
 * @date 2022/4/15
 */
@Data
@ApiModel("用户账户更新信息")
public class UserAccountUpdateDTO {

	@ApiModelProperty("id")
	private String id;

	@ApiModelProperty("姓名")
	@DesensitizationFieId(desensitizationRule = DesensitizationUtil.DESENSITIZATION_NAME,sort = 1)
	private String userName;

	@ApiModelProperty("昵称")
	private String nickName;

	@ApiModelProperty("手机号")
	@DesensitizationFieId(desensitizationRule = DesensitizationUtil.DESENSITIZATION_PHONE,sort = 2)
	private String phone;

	@ApiModelProperty("账号")
	@DesensitizationFieId(desensitizationRule = DesensitizationUtil.DESENSITIZATION_NONE,sort = 0)
	private String account;

	@ApiModelProperty("角色code")
	private String roleCode;
}
