package com.cusc.nirvana.user.rnr.enterprise.dto;

import com.cusc.nirvana.user.eiam.dto.UserDTO;
import com.cusc.nirvana.user.rnr.enterprise.common.DesensitizationFieId;
import com.cusc.nirvana.user.rnr.enterprise.util.DesensitizationUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author stayAnd
 * @date 2022/4/15
 */
@ApiModel("新增员工信息")
@Data
public class UserAddRequestDTO {

	@ApiModelProperty("指定组织id")
	private String organId;

	@ApiModelProperty("姓名")
	@DesensitizationFieId(desensitizationRule = DesensitizationUtil.DESENSITIZATION_NAME,sort = 1)
	private String userName;

	@ApiModelProperty("昵称")
	private String nickName;

	@ApiModelProperty("手机号")
	@DesensitizationFieId(desensitizationRule = DesensitizationUtil.DESENSITIZATION_PHONE,sort = 2)
	private String phone;

	@ApiModelProperty("账号")
	@DesensitizationFieId(desensitizationRule = DesensitizationUtil.DESENSITIZATION_NONE,sort = 0)
	private String account;

	@ApiModelProperty("密码")
	private String password;

	@ApiModelProperty("确认密码")
	private String confirmPassword;

	@ApiModelProperty("角色code")
	@NotNull
	private String roleCode;

	public UserDTO toUserDto() {
		UserDTO userDTO = new UserDTO();
		userDTO.setFullName(this.getUserName());
		userDTO.setNickName(this.getNickName());
		userDTO.setPhone(this.getPhone());
		userDTO.setUserName(this.getAccount());
		userDTO.setPassword(this.getPassword());
		return userDTO;
	}
}
