package com.cusc.nirvana.user.rnr.enterprise.dto;

import com.cusc.nirvana.user.rnr.fp.dto.VinCardDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.*;
import java.util.List;

/**
 * Description: 车卡实名信息DTO
 * <br />
 * CreateDate 2022-04-20 20:40:56
 *
 * @author yuyi
 **/
@Data
public class VehicleRnrVinCardInfoDTO implements Serializable {
    private static final long serialVersionUID = -5712879585098743410L;

    @ApiModelProperty(value = "请求ID")
    private String requestId;

    @ApiModelProperty(value = "文件系统ID")
    @NotBlank(message = "文件不能为空")
    private String fileId;

    @ApiModelProperty(value = "车辆VIN号和ICCID编码对集合")
    private List<VinCardDTO> vinCardList;
}
