package com.cusc.nirvana.user.rnr.enterprise.excel;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.alibaba.excel.exception.ExcelAnalysisStopException;
import com.cusc.nirvana.user.rnr.mg.dto.SimFileHistoryDTO;
import org.apache.commons.lang3.StringUtils;

import java.util.Map;

public class VehicleStatusRowCountListener extends AnalysisEventListener<VehicleStatusRelRow> {

    private SimFileHistoryDTO simFileHistoryDTO;

    private int rowIndex = 2;

    public VehicleStatusRowCountListener(SimFileHistoryDTO simFileHistoryDTO) {
        this.simFileHistoryDTO = simFileHistoryDTO;
    }

    @Override
    public void invokeHeadMap(Map<Integer, String> headMap, AnalysisContext context) {
        super.invokeHeadMap(headMap, context);
        if (headMap.size() > 1) {
            simFileHistoryDTO.setErrorInfo("文件标题不符合模板要求，文件标题：[" + headMap.values() + "]");
            throw new ExcelAnalysisStopException("文件不符合模板要求。文件标题：[" + headMap.values() + "]");
        }
    }

    @Override
    public void invoke(VehicleStatusRelRow data, AnalysisContext context) {
//        String failReason = validata(data);
        simFileHistoryDTO.setTotalCount(simFileHistoryDTO.getTotalCount() + 1);
//        if (CuscStringUtils.isNotEmpty(failReason)) {
//            throw new ExcelAnalysisStopException("导入文件在["+rowIndex+"]行校验失败，请核实!");
//        }
        rowIndex++;
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext context) {

    }

}
