package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.fp.dto.RnrOrderDetailDTO;
import com.cusc.nirvana.user.rnr.fp.dto.RnrOrderListQueryDTO;
import com.cusc.nirvana.user.rnr.fp.dto.RnrOrderListResponseDTO;
import com.cusc.nirvana.user.rnr.fp.dto.VinCardDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCardInfoDTO;

/**
 * @author stayAnd
 * @date 2022/8/3
 */
public interface IAdminRnrOrderService {

	/**
	 * 分页查询
	 * @param dto dto
	 * @return 返回结果
	 */
	PageResult<RnrOrderListResponseDTO> pageListQuery(RnrOrderListQueryDTO dto);

	/**
	 * 根据orderId分页查询
	 * @param dto dto
	 * @return 返回结果
	 */
	PageResult<VinCardDTO> queryCardPageByOrderId(MgRnrCardInfoDTO dto);

	/**
	 * 查询详情
	 * @param orderId orderId
	 * @return 返回结果
	 */
	RnrOrderDetailDTO queryOrderDetail(String orderId);
}
