package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.auth.identification.dto.RandomIdResp;
import com.cusc.nirvana.user.rnr.enterprise.dto.CaptchaResponseDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.LoginRequestDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.LoginResponseDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.LoginSmsRequestDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.LoginUserNameReqDTO;

/**
 * @author stayAnd
 * @date 2022/4/12
 */
public interface IAuthService {

	/**
	 * 获取图片验证码
	 * @return
	 */
	CaptchaResponseDTO getGraphic(String platformSource);

	/**
	 * 获取验证码
	 * @param dto
	 */
	void getSms(LoginSmsRequestDTO dto);

	/**
	 * 登录
	 * @param loginRequestDTO
	 * @return
	 */
	LoginResponseDTO login(LoginRequestDTO loginRequestDTO);

	/**
	 * 获取随机请求id-登录密码加密
	 * @return
	 */
	Response<RandomIdResp> getLoginSecretKey(String platformSource);

	/**
	 * 登录-用户名+密码登录
	 * @param bean
	 * @return
	 */
	LoginResponseDTO userNameLogin(LoginUserNameReqDTO bean);
}
