package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.enterprise.dto.DistributorAddDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.DistributorChangeAdminDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.DistributorDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.DistributorPageQueryDTO;

import java.util.Map;

/**
 * @author stayAnd
 * @date 2022/4/14
 * 经销商相关
 */
public interface IDistributorService {
	/**
	 * 新增经销商
	 * @param dto
	 */
	void add(DistributorAddDTO dto);

	/**
	 * 经销商分页查询
	 * @param dto dto
	 * @return
	 */
	PageResult<DistributorDTO> page(DistributorPageQueryDTO dto);

	Map<String,Object> pageToMap(DistributorPageQueryDTO dto);

	/**
	 * 更新经销商
	 * @param distributorDTO
	 */
	void update(DistributorDTO distributorDTO);

	/**
	 * 更换管理员
	 * @param dto
	 */
	void changeAdmin(DistributorChangeAdminDTO dto);
}
