package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.dto.*;

import java.util.List;
import java.util.Map;

/**
 * 企业实名认证服务接口
 *
 * @author huchenhui
 * @date 2022-04-14
 */
public interface IEnterpriseRnrService {

    /**
     * 校验车卡关系
     *
     * @param dto dto bean
     * @return 实例对象
     */
    Response<EMVinCardResponseDTO> verifyVinCards(EnterpriseRnrVinCardInfoDTO dto);

    /**
     * 提交企业实名认证
     *
     * @param dto dto bean
     * @return 实例对象
     */
    Response<CompanyRnrResponseDTO> submitRnr(EnterpriseRnrCertificationInfoDTO dto);


	/**
	 * 查询企业责任信息
	 * @param dto
	 */
//	List<EnterpriseRnrPersonDTO> queryEnterpriseRnrPerson(EnterpriseCorporationChangeDTO dto);
	Map<String,Object> queryEnterpriseRnrPerson(EnterpriseCorporationChangeDTO dto);

	/**
	 * 提交企业责任人变更
	 * @param bean
	 */
	void submitChange(EnterpriseCorporationChangeDTO bean);

	/**
	 * 企业实名H5 提交
	 * @param dto
	 * @return
	 */
	EnterpriseRnrH5RespDTO submitRnrH5(EnterpriseRnrH5RequestDTO dto);

	/**
	 * h5回调
	 * @param bean
	 * @return
	 */
	EnterpriseRnrH5CallBackRespDTO afreshLivenessUrl(LivenessCallbackReqDTO bean);


	/**
	 * 企业实名H5 提交(使用文件)
	 * @param dto
	 * @return
	 */
	EnterpriseRnrH5RespDTO submitRnrWithFile(EnterpriseRnrH5FileRequestDTO dto);
}
