package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.*;

/**
 * @author stayAnd
 * @date 2022/5/18
 */
public interface INewVinCardService {

	/**
	 * 查询未绑定的卡
	 * @param queryDTO queryDTO
	 * @return 返回参数
	 */
	Response<VinCardResultDTO> queryUnBindCardByVin(VinCardQueryDTO queryDTO);

	/**
	 * 查询已绑定的卡信息
	 * @param queryDTO queryDTO
	 * @return 返回参数
	 */
	VinCardResultDTO queryBindCardByVin(VinCardQueryDTO queryDTO);

	/**
	 * vin-card校验
	 * @param vinCardCheckDTO vinCardCheckDTO
	 * @return 返回参数
	 */
	VinCardCheckResultDTO checkVinCard(VinCardCheckDTO vinCardCheckDTO);

	/**
	 * 检查vin
	 * @param requestDTO
	 * @return
	 */
	VinCheckResultDTO checkVin(VinCheckRequestDTO requestDTO);

}
