package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.enterprise.dto.*;

import java.util.List;

/**
 * Description: 车企组织相关
 * <br />
 * CreateDate 2022-05-20 11:45:46
 *
 * @author yuyi
 **/
public interface IOrganService {

	/**
	 * 车企组织
	 * @param dto
	 */
	void add(OrganDTO dto);

	/**
	 * 车企组织分页查询
	 * @param dto dto
	 * @return
	 */
	PageResult<OrganDTO> page(OrganPageDTO dto);

	/**
	 * 更新车企组织
	 * @param bean
	 */
	void update(UpdateOrganDTO bean);

	 /**
	   * @author: jk
	   * @description: 变更管理员
	   * @date: 2022/5/28 9:00
	   */
	void changeAdmin(OrganChangeAdminDto dto);

	 /**
	   * @author: jk
	   * @description: 用户账号列表
	   * @date: 2022/5/28 9:00
	   */
	List<UserAccountDTO> queryUserAccount(OrganUserAccountDTO dto);


	/**
	 * 查询当前登录用户的组织及其子组织列表
	 * @return
	 */
	List<OrganDTO> queryCurrentSubOrgList();


}
