package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.dto.EMVinCardResponseDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.VehicleRnrVinCardInfoDTO;

/**
 * 车企实名解绑接口
 *
 * @author yubo
 * @since 2022-04-24 09:38
 */
public interface IVehicleRnrUnboundService {

    /**
     * 车企实名解绑校验车卡信息
     *
     * @param vehicleRnrVinCardInfoDTO
     */
    Response<EMVinCardResponseDTO> verifyUnboundVinCards(VehicleRnrVinCardInfoDTO vehicleRnrVinCardInfoDTO);

    /**
     * 车企解绑
     *
     * @param vehicleRnrVinCardInfoDTO
     * @return
     */
    Response unboundSubmit(VehicleRnrVinCardInfoDTO vehicleRnrVinCardInfoDTO);
}
