/*
package com.cusc.nirvana.user.rnr.enterprise.service.impl;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.auth.authentication.plug.user.UserSubjectUtil;
import com.cusc.nirvana.user.exception.CuscUserException;
import com.cusc.nirvana.user.rnr.enterprise.constants.FIleSystemType;
import com.cusc.nirvana.user.rnr.enterprise.dto.ExcelSheetDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.FileDownloadDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.FileUploadDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.OssDownloadRs;
import com.cusc.nirvana.user.rnr.enterprise.service.IFileService;
import com.cusc.nirvana.user.rnr.enterprise.util.FileUtil;
import com.cusc.nirvana.user.rnr.fp.common.ResponseCode;
import com.cusc.nirvana.user.rnr.fp.dto.FileRecordDTO;
import com.cusc.nirvana.user.rnr.fp.dto.VinCardDTO;
import com.cusc.nirvana.user.util.CuscStringUtils;
import com.cusc.nirvana.web.exception.AppGlobalException;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.io.FileUtils;
import org.apache.commons.io.IOUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Service;
import org.springframework.util.MultiValueMap;
import org.springframework.web.client.RequestCallback;
import org.springframework.web.client.RestTemplate;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.*;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.Date;
import java.util.List;
import java.util.concurrent.atomic.AtomicBoolean;

*/
/**
 * 文件上传服务类
 *
 * @author huzl
 * @date 2022/04/18
 *//*

@Slf4j
@Service
public class FileServiceImpl implements IFileService {

    @Value("${rnr.fileSystem:}")
    private String fileServiceSrv;

    @Resource
    private RestTemplate nonLoadBalancedFile;

    @Autowired
    private OssConfig ossConfig;
    @Value("${rnr.fileSelect}")
    private String fileSelect;

    @Override
    public Response<FileRecordDTO> upload(FileUploadDTO fileUploadDTO) {
     */
/*     String url = fileServiceSrv + "/file/upload/" + fileUploadDTO.getType();

        final HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.MULTIPART_FORM_DATA);
        if (StringUtils.isNotBlank(fileUploadDTO.getRootPath())) {
            headers.set("rootPath", fileUploadDTO.getRootPath());
        } else {
            headers.set("rootPath", "rnr/");
        }

        MultiValueMap<String, Object> parameters = new LinkedMultiValueMap<>();
        if (StringUtils.isNotBlank(fileUploadDTO.getPath())) {
            parameters.add("path", fileUploadDTO.getPath());
        }
        if (StringUtils.isNotBlank(fileUploadDTO.getUuid())) {
            parameters.add("uuid", fileUploadDTO.getUuid());
        }

      ByteArrayResource resource = null;
        try {
            resource = new ByteArrayResource(fileUploadDTO.getFile().getBytes()) {
                @Override
                public String getFilename() {
                    return fileUploadDTO.getFile().getOriginalFilename();
                }
            };
        } catch (IOException e) {
            throw new AppGlobalException("读取文件流错误", e);
        }

        parameters.add("file", resource);
*//*

        //final HttpEntity<MultiValueMap<String, Object>> httpEntity = new HttpEntity<>(parameters, headers);
        //final ResponseEntity<String> entity = nonLoadBalancedFile.exchange(url, HttpMethod.POST, httpEntity, String
        // .class);
        log.info("FileUpload,parameter:{}", fileUploadDTO);
        String saveFileName = "";
        FileRecordDTO fileRecordDTO = new FileRecordDTO();
        try {
            saveFileName = CuscStringUtils.generateUuid()
                    + fileUploadDTO.getFile().getOriginalFilename()
                    .substring(fileUploadDTO.getFile().getOriginalFilename().lastIndexOf("."));

            String accessUrl = OSSUtil.upload(ossConfig.getBucketName(),
                    new ByteArrayInputStream(fileUploadDTO.getFile().getBytes()),
                    ossConfig.getPrefix() + saveFileName);
            fileRecordDTO.setAccessUrl(accessUrl);
            fileRecordDTO.setUuid(saveFileName);
            fileRecordDTO.setFileName(saveFileName);

        } catch (Exception e) {
            throw new AppGlobalException("上传文件异常 MinIOUtils.uploadFile", e);
        }

        Response<FileRecordDTO> response = Response.createSuccess(fileRecordDTO);
        return response;
    }

    */
/**
     * 下载文件
     *
     * @param downloadDTO
     * @return
     *//*

    @Override
    public InputStream download(FileDownloadDTO downloadDTO) {
        if (FIleSystemType.MINIO.getCode().equals(fileSelect)) {
            byte[] result = downloadToByteArray(downloadDTO);
            return new ByteArrayInputStream(result);
        } else if (FIleSystemType.OSS.getCode().equals(fileSelect)) {
            byte[] result = downloadToByteArrayForOss(downloadDTO);
            return new ByteArrayInputStream(result);
        } else {
            throw new CuscUserException(fileSelect, "未知文件系统");
        }
    }


    */
/**
     * 下载文件(oss)
     *
     * @param downloadDTO
     * @return
     *//*

    @Override
    public byte[] downloadToByteArrayForOss(FileDownloadDTO downloadDTO) {
        log.info("downloadToByteArrayForOss下载文件-开始");
        byte[] result = new byte[0];
        try {
            OssDownloadRs ossDownloadRs =
                    OSSUtil.downloadFile(ossConfig.getBucketName(), ossConfig.getPrefix() + downloadDTO.getUuid());
            InputStream fileStream = ossDownloadRs.getInputStream();
            result = IOUtils.toByteArray(fileStream);
            downloadDTO.setFileName(downloadDTO.getUuid());
        } catch (Exception e) {
            log.error("---downloadToByteArrayForOss--failure-", e);
        }
        log.info("downloadToByteArrayForOss下载文件-结束");
        return result;
    }

    */
/**
     * 下载文件(minio)
     *
     * @param downloadDTO
     * @return
     *//*

    @Override
    public byte[] downloadToByteArray(FileDownloadDTO downloadDTO) {
        //String url = fileServiceSrv + "/file/download/" + downloadDTO.getUuid();
        //log.debug("url: " + url);

        log.info("downloadToByteArray下载文件-开始");
        byte[] result = new byte[0];
        try {
            //InputStream fileStream = MinIOUtils.getObject(minIOConfig.getBucketName(), downloadDTO.getUuid());
            InputStream fileStream = null;
            result = IOUtils.toByteArray(fileStream);
            downloadDTO.setFileName(downloadDTO.getUuid());
        } catch (Exception e) {
            log.error("---downloadToByteArray--failure-", e);
        }
        //final ResponseEntity<byte[]> response = nonLoadBalancedFile.getForEntity(url, byte[].class);
        //ContentDisposition contentDisposition = response.getHeaders().getContentDisposition();
        log.info("downloadToByteArray下载文件-结束");
*/
/*        try {
            if (contentDisposition != null && CuscStringUtils.isNotEmpty(contentDisposition.getFilename())) {
                downloadDTO.setFileName(URLDecoder.decode(contentDisposition.getFilename(), "utf-8"));
            }
        } catch (UnsupportedEncodingException e) {
            log.warn("fileName decode error", e);
        }
        byte[] result = response.getBody();*//*

        return result;
    }

    @Override
    public List<VinCardDTO> downloadAndToVinCardList(String fileId) throws IOException {
        FileDownloadDTO fileDownloadDTO = new FileDownloadDTO(fileId, "");
        InputStream download = download(fileDownloadDTO);
        return FileUtil.convertExcelToVinCardList(download, fileDownloadDTO.getFileName());
    }

    @Override
    public Response<FileRecordDTO> createAndUploadExcel(String filedId, String fileName, ExcelSheetDTO excelSheetDTO) {
        FileUploadDTO fileUploadDTO = new FileUploadDTO();
        MultipartFile multipartFile;
        try {
            multipartFile = FileUtil.bytesToMultipartFile(FileUtil.createExcelBytes(excelSheetDTO, fileName), fileName);
        } catch (Exception e) {
            log.error("生成校验文件失败", e);
            return Response.createError("生成校验文件失败", ResponseCode.INVALID_DATA.getCode());
        }
        fileUploadDTO.setType("private");
//        if (StringUtils.isNotBlank(filedId)) {
//            fileUploadDTO.setUuid(filedId);
//        }
//        fileUploadDTO.setType("public");
        if (StringUtils.isBlank(fileUploadDTO.getUserId())) {
            fileUploadDTO.setUserId(UserSubjectUtil.getUserId());
        }
        fileUploadDTO.setFile(multipartFile);
        return upload(fileUploadDTO);
    }

    @Override
    public File downloadToLocal(FileDownloadDTO downloadDTO) throws Exception {
        String url = fileServiceSrv + "/file/download/" + downloadDTO.getUuid();
        String localFileName = "";
        if (StringUtils.isNotEmpty(downloadDTO.getFileName())) {
            localFileName = downloadDTO.getFileName();
        }
        String targetPath = generateTmpPath(localFileName);
        //定义请求头的接收类型
        AtomicBoolean isError = new AtomicBoolean(false);
        MultiValueMap<String, String> headers = new HttpHeaders();
        headers.add("Accept", MediaType.toString(Arrays.asList(MediaType.APPLICATION_OCTET_STREAM, MediaType.ALL)));
        final HttpEntity<MultiValueMap<String, Object>> httpEntity = new HttpEntity(null, headers);
        RequestCallback requestCallback = nonLoadBalancedFile.httpEntityCallback(httpEntity);
        //对响应进行流式处理而不是将其全部加载到内存中
        nonLoadBalancedFile.execute(url, HttpMethod.GET, requestCallback, clientHttpResponse -> {
            HttpStatus statusCode = clientHttpResponse.getStatusCode();
            if (statusCode != HttpStatus.OK) {
                isError.set(true);
            } else {
                Files.copy(clientHttpResponse.getBody(), Paths.get(targetPath));
            }
            return null;
        });
        if (isError.get()) {
            throw new Exception("文件下载失败");
        }
        return new File(targetPath);
    }

    private String generateTmpPath(String fileName) {
        SimpleDateFormat format = new SimpleDateFormat("yyyyMMdd");
        Date date = new Date();
        String path = format.format(date);
        StringBuilder targetPath = new StringBuilder();
        int index = fileName.lastIndexOf(".");

        String name = index == -1 ? fileName : fileName.substring(0, index);
        String ext = index == -1 ? "" : fileName.substring(index);
        String tmpPath = FileUtils.getTempDirectoryPath();
        targetPath.append(tmpPath).append((tmpPath.endsWith(File.separator) ? "" : File.separator)).append(path)
                .append(File.separator);
        File filePath = new File(targetPath.toString());
        if (!filePath.exists()) {
            filePath.mkdirs();
        }
        targetPath.append(name).append("_").append(System.currentTimeMillis()).append(ext);

        return targetPath.toString();
    }

}
*/
