package com.cusc.nirvana.user.rnr.enterprise.service.impl;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.auth.authentication.plug.user.UserSubjectUtil;
import com.cusc.nirvana.user.eiam.client.OrganizationClient;
import com.cusc.nirvana.user.eiam.dto.OrganizationDTO;
import com.cusc.nirvana.user.rnr.enterprise.common.RoleEnum;
import com.cusc.nirvana.user.rnr.enterprise.dto.RoleDTO;
import com.cusc.nirvana.user.rnr.enterprise.service.IRoleService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * @author stayAnd
 * @date 2022/4/15
 */
@Service
public class RoleServiceImpl implements IRoleService {

	@Resource
	private OrganizationClient organizationClient;

	@Override
	public List<RoleDTO> getRoListByOrganId(String organId) {
		OrganizationDTO dto = new OrganizationDTO();
		dto.setUuid(organId);
		dto.setTenantNo(UserSubjectUtil.getTenantNo());
		Response<OrganizationDTO> reposne = organizationClient.getByUuid(dto);
		if (reposne == null || !reposne.isSuccess() || null == reposne.getData()) {
			return Collections.emptyList();
		}
		OrganizationDTO data = reposne.getData();
		List<RoleDTO> roleDTOList = new ArrayList<>();
		if (data.getBizType() == 1) {
			roleDTOList.add(new RoleDTO().setRoleCode(RoleEnum.CAR_ENTERPRISES_OP.getCode()).setRoleName(RoleEnum.CAR_ENTERPRISES_OP.getName()));
		} else if (data.getBizType() == 2){
			roleDTOList.add(new RoleDTO().setRoleCode(RoleEnum.DISTRIBUTOR_ENTERPRISES_OP.getCode()).setRoleName(RoleEnum.DISTRIBUTOR_ENTERPRISES_OP.getName()));
		}else if (data.getBizType() == 3){
			roleDTOList.add(new RoleDTO().setRoleCode(RoleEnum.CAR_ENTERPRISES_OP.getCode()).setRoleName(RoleEnum.CAR_ENTERPRISES_OP.getName()));
		}
		return roleDTOList;
	}
}
