package com.cusc.nirvana.user.rnr.enterprise.util;

import org.apache.commons.lang3.StringUtils;

import java.util.HashMap;
import java.util.Map;

/**
 * 针对iccid的工具类
 */
public class IccidUtil {

    private static Map<String, String> iccidTOTelcomMap = new HashMap<>();

    static {
		iccidTOTelcomMap.put("898600", "中国移动");
		iccidTOTelcomMap.put("898602", "中国移动");
		iccidTOTelcomMap.put("898604", "中国移动");
		iccidTOTelcomMap.put("898607", "中国移动");
		iccidTOTelcomMap.put("898608", "中国移动");


		iccidTOTelcomMap.put("898601", "中国联通");
		iccidTOTelcomMap.put("898606", "中国联通");
		iccidTOTelcomMap.put("898609", "中国联通");

		iccidTOTelcomMap.put("898603", "中国电信");
		iccidTOTelcomMap.put("898611", "中国电信");
    }

    /**
     * 获取iccid所属运营商
     * @param iccid
     * @return
     */
    public static String getTelcom(String iccid) {
        String key = iccid.substring(0, 6);
        String telcomName = iccidTOTelcomMap.getOrDefault(key, "未知");
        return telcomName;
    }

    public static boolean check(String iccid) {
        String key = iccid.substring(0, 6);
        String telcomName = iccidTOTelcomMap.getOrDefault(key, null);
        return StringUtils.isNotBlank(telcomName);
    }

}
