package com.cusc.nirvana.user.rnr.enterprise;

import com.alibaba.fastjson.JSONObject;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.auth.client.CaptchaClient;
import com.cusc.nirvana.user.auth.client.LoginClient;
import com.cusc.nirvana.user.auth.common.constants.CaptchaTypeEnum;
import com.cusc.nirvana.user.auth.identification.dto.*;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

/**
 * @author stayAnd
 * @date 2022/4/13
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class UserTest {

	@Resource
	private LoginClient loginClient;

	@Resource
	private CaptchaClient captchaClient;


	@Test
	public void testGetCaptchaClient(){
		CaptchaCreateReq req = new CaptchaCreateReq();
		req.setApplicationId("4");
		req.setCaptchaHeight(100);
		req.setCaptchaWidth(400);
		req.setCaptchaType(CaptchaTypeEnum.TYPE_DEFAULT);
		req.setCaptchaLength(4);
		Response<CaptchaCreateResp> captchaCreateRespResponse = captchaClient.simpleGraphic(req);
		System.out.println(JSONObject.toJSONString(captchaCreateRespResponse));
	}


	@Test
	public void testSendSms(){
		MobileLoginReq req = new MobileLoginReq();
		req.setApplicationId("4");
		req.setTenantNo("38");
		req.setCaptchaExpire(3600);
		req.setPhone("13965036751");
		req.setCheckCaptchaImg(true);
		req.setCaptchaImage("7rwz");
		req.setRequestId("fdd2ac96-3b3c-48f7-a777-fb44e0cfc9cc");
		SmsSendConfig config = new SmsSendConfig();
		config.setStrategyCode("verification_code_sync_strategy");
		config.setSmsTemplateCode("verification_code_template_code");
		req.setSmsSendConfig(config);
		Response response = loginClient.sendSmsCaptcha(req);
		System.out.println(JSONObject.toJSONString(response));
	}


	@Test
	public void testLogin(){
		MobileLoginReq req = new MobileLoginReq();
		req.setApplicationId("4");
		req.setTenantNo("38");
		req.setPhone("13965036751");
		req.setCaptcha("281293");
		Response<Oauth2Token> response = loginClient.mobileLogin(req);
		System.out.println(JSONObject.toJSONString(response));
	}
}
